Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 731240 - net-libs/libmrss fails to link with LLD because of /usr/lib in the link command line
Summary: net-libs/libmrss fails to link with LLD because of /usr/lib in the link comma...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: LD-is-lld
  Show dependency tree
 
Reported: 2020-07-07 07:07 UTC by Agostino Sarubbo
Modified: 2020-08-31 03:44 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,24.30 KB, text/plain)
2020-07-07 07:07 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-07-07 07:07:51 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: net-libs/libmrss fails to link with LLD because of /usr/lib in the link command line.
Discovered on: amd64

NOTE:
This PR gives an idea about a fix: https://github.com/PhotoFlare/photoflare/pull/248/files.
Comment 1 Agostino Sarubbo gentoo-dev 2020-07-07 07:07:56 UTC
Created attachment 648204 [details]
build.log

build log and emerge --info
Comment 2 Larry the Git Cow gentoo-dev 2020-08-31 03:44:20 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=65f80aa99342ca1f5fa6d9081ffabaac713619cb

commit 65f80aa99342ca1f5fa6d9081ffabaac713619cb
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2020-08-31 03:42:12 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-08-31 03:44:15 +0000

    net-news/rsstail: port to EAPI 7
    
    * Move away from EAPI 4
    * Find mrss correctly via pkgconfig
    
    Closes: https://bugs.gentoo.org/731240
    Package-Manager: Portage-3.0.4, Repoman-3.0.1
    Signed-off-by: Sam James <sam@gentoo.org>

 net-news/rsstail/rsstail-1.8.ebuild | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=65d0afbccdf468242080abc9c32d2ededa13b1cc

commit 65d0afbccdf468242080abc9c32d2ededa13b1cc
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2020-08-31 03:34:35 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-08-31 03:44:14 +0000

    net-libs/libmrss: fix installed pkgconfig file
    
    The installed pkgconfig file referred to /usr/lib unconditionally,
    causing warnings in reverse dependencies when linking.
    
    Closes: https://bugs.gentoo.org/731240
    Package-Manager: Portage-3.0.4, Repoman-3.0.1
    Signed-off-by: Sam James <sam@gentoo.org>

 net-libs/libmrss/libmrss-0.19.2-r1.ebuild | 60 +++++++++++++++++++++++++++++++
 1 file changed, 60 insertions(+)